Stop the active run for one Lead Finder search without changing its future schedule
curl --request POST \
--url https://app.pixiegtm.com/api/lead-finder/{id}/stop \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.pixiegtm.com/api/lead-finder/{id}/stop"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.pixiegtm.com/api/lead-finder/{id}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.pixiegtm.com/api/lead-finder/{id}/stop",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.pixiegtm.com/api/lead-finder/{id}/stop"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.pixiegtm.com/api/lead-finder/{id}/stop")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.pixiegtm.com/api/lead-finder/{id}/stop")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"surface": "lead-finder",
"searchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disposition": "cancelled",
"run": {
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "cancelled",
"cancelledAt": "<string>",
"triggerRunId": "<string>"
},
"executionCancellation": "confirmed",
"agentSummary": "<string>"
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"surface": "lead-finder",
"searchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disposition": "cancelled",
"run": {
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "cancelled",
"cancelledAt": "<string>",
"triggerRunId": "<string>"
},
"executionCancellation": "confirmed",
"agentSummary": "<string>"
}Lead Finder
Stop the active run for one Lead Finder search without changing its future schedule
Stop the active run for one Lead Finder search without changing its future schedule
POST
/
api
/
lead-finder
/
{id}
/
stop
Stop the active run for one Lead Finder search without changing its future schedule
curl --request POST \
--url https://app.pixiegtm.com/api/lead-finder/{id}/stop \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.pixiegtm.com/api/lead-finder/{id}/stop"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.pixiegtm.com/api/lead-finder/{id}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.pixiegtm.com/api/lead-finder/{id}/stop",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.pixiegtm.com/api/lead-finder/{id}/stop"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.pixiegtm.com/api/lead-finder/{id}/stop")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.pixiegtm.com/api/lead-finder/{id}/stop")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"surface": "lead-finder",
"searchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disposition": "cancelled",
"run": {
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "cancelled",
"cancelledAt": "<string>",
"triggerRunId": "<string>"
},
"executionCancellation": "confirmed",
"agentSummary": "<string>"
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"surface": "lead-finder",
"searchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disposition": "cancelled",
"run": {
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "cancelled",
"cancelledAt": "<string>",
"triggerRunId": "<string>"
},
"executionCancellation": "confirmed",
"agentSummary": "<string>"
}CLI:
pixie lead-finder stop create --id <id>
Overview
Stop the active run for one Lead Finder search without changing its future schedule This page documentspost /api/lead-finder/{id}/stop. Use the request and response sections on this page for accepted parameters, payload fields, response fields, and authentication behavior.
AI agent notes
- Confirm the operation matches the user’s intent before calling it.
- For write operations, confirm the user intends to change state.
- Surface validation, permission, and not-found errors instead of retrying unchanged.
Authorizations
Response
Lead Finder run stop outcome.
Was this page helpful?